import type { TestResult } from '@jest/reporters';
import type { RunHistoryRecord, RunConclusionFile } from '../../interfaces';
import type { JestResultEntry, ScreenplayRunResultEntry } from '../interfaces';
export declare function readRunsHistory(screenplayDirPath: string): Promise<RunHistoryRecord[]>;
export declare function updateRunsHistory(history: RunHistoryRecord[], conclusion: RunConclusionFile, historyToKeep: number): void;
export declare function writeRunsHistory(screenplayDirPath: string, history: RunHistoryRecord[]): Promise<void>;
export declare function writeRunConclusion(screenplayDirPath: string, runId: string, conclusion: RunConclusionFile): Promise<void>;
export declare function readRunConclusion(screenplayDirPath: string, runId: string): Promise<RunConclusionFile>;
export declare function prepareRunConclusion(runId: string, timestamp: number, data: Map<string, {
    jest: JestResultEntry;
    screenplay: ScreenplayRunResultEntry;
}>): RunConclusionFile;
export declare function intersectJestAndScreenplay(screenplaySide: Map<string, ScreenplayRunResultEntry>, jestSide: Map<string, JestResultEntry>): Map<string, {
    jest: JestResultEntry;
    screenplay: ScreenplayRunResultEntry;
}>;
export declare function readRunResultsDirToMap(inputDir: string): Promise<Map<string, ScreenplayRunResultEntry>>;
export declare function jestResultsToIdMap(jestSuiteResults: TestResult[], projectRoot: string): Map<string, JestResultEntry>;
